import { p as proxyCustomElement, H, h } from './p-BhqVmlhr.js';
import { d as defineCustomElement$5 } from './p-BxLSOqmG.js';
import { d as defineCustomElement$4 } from './p-CFvSLKiP.js';
import { d as defineCustomElement$3 } from './p-DiC-xcof.js';
import { d as defineCustomElement$2 } from './p-Cv0O724A.js';

const DgaTableUsage$1 = /*@__PURE__*/ proxyCustomElement(class DgaTableUsage extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        return (h("div", { key: 'cce8d553b5ffdbc9fa44f1b5a93dce53c0238299' }, h("h1", { key: 'aa47ec1faf9e7d55de29db20ae1a21cb096e0f6c' }, "Table Example"), h("div", { key: 'eb5b733c74b8468739e69160aac6afa7d976a0c8', style: { padding: '50px', display: 'flex', gap: '20px' } }, h("div", { key: '49965a667f72b6b465f69acac82c16d1d5c4babd', style: { display: 'flex', flexDirection: 'column', gap: '20px' } }, h("dga-data-table", { key: 'eaf30471f00a8f0444e037e0298d994eed6a8d93', columns: [
                {
                    label: 'Header',
                },
            ], cells: [
                {
                    title: 'city',
                    sort: 'up',
                    isSort: true,
                    isFilter: true,
                    type: 'propertyName',
                    propertyName: 'city',
                    colSpan: 1, // Set colSpan to 1 (default is 1)
                },
                {
                    title: 'price',
                    sort: 'down',
                    isSort: true,
                    isFilter: true,
                    type: 'propertyName',
                    propertyName: 'price',
                    colSpan: 1,
                },
                {
                    title: 'state',
                    isSort: true,
                    isFilter: true,
                    type: 'propertyName',
                    propertyName: 'state',
                    colSpan: 1,
                },
            ], data: [
                {
                    h_id: '3',
                    city: 'Dallas',
                    state: 'TX',
                    zip: '75201',
                    price: '162500',
                    selected: false, // Add selected property for checkbox functionality
                },
                {
                    h_id: '4',
                    city: 'Bevery Hills',
                    state: 'CA',
                    zip: '90210',
                    price: '319250',
                    selected: false,
                },
                {
                    h_id: '5',
                    city: 'New York',
                    state: 'NY',
                    zip: '00010',
                    price: '962500',
                    selected: false,
                },
            ] })), h("div", { key: '83d6bb1c61d16ca655d0e29dcc8f19327881ed05', style: { display: 'flex', flexDirection: 'column', gap: '20px' } }))));
    }
}, [0, "dga-table-usage"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["dga-table-usage", "dga-checkbox", "dga-data-table", "dga-icon", "dga-icon-v2"];
    components.forEach(tagName => { switch (tagName) {
        case "dga-table-usage":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, DgaTableUsage$1);
            }
            break;
        case "dga-checkbox":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "dga-data-table":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "dga-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "dga-icon-v2":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const DgaTableUsage = DgaTableUsage$1;
const defineCustomElement = defineCustomElement$1;

export { DgaTableUsage, defineCustomElement };
